<OpenViBE-Scenario>
	<FormatVersion>2</FormatVersion>
	<Creator>OpenViBE Designer</Creator>
	<CreatorVersion>3.3.0</CreatorVersion>
	<Settings>
		<Setting>
			<Identifier>(0x003874e6, 0x80815878)</Identifier>
			<TypeIdentifier>(0x79a9edeb, 0x245d83fc)</TypeIdentifier>
			<Name>Scripts Path</Name>
			<DefaultValue>scripts</DefaultValue>
			<Value>Scripts</Value>
		</Setting>
		<Setting>
			<Identifier>(0x00528432, 0x6820e824)</Identifier>
			<TypeIdentifier>(0x330306dd, 0x74a95f98)</TypeIdentifier>
			<Name>Training EEG File</Name>
			<DefaultValue>${Player_ScenarioDirectory}/signals/training.ov</DefaultValue>
			<Value>${Player_ScenarioDirectory}/signals/training.ov</Value>
		</Setting>
	</Settings>
	<Inputs></Inputs>
	<Outputs></Outputs>
	<Boxes>
		<Box>
			<Identifier>(0x0000053d, 0x00004adb)</Identifier>
			<Name>Identity</Name>
			<AlgorithmClassIdentifier>(0x5dffe431, 0x35215c50)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Input stream</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Output stream</Name>
				</Output>
			</Outputs>
			<Attributes>
				<Attribute>
					<Identifier>(0x17ee7c08, 0x94c14893)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>-80</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>1104</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x30a4e5c9, 0x83502953)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0xa8ffe2a3, 0x27038f03)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x527ad68d, 0x16d746a0)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xfba64161, 0x65304e21)</Identifier>
					<Value></Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x0000053d, 0x00004adc)</Identifier>
			<Name>Identity</Name>
			<AlgorithmClassIdentifier>(0x5dffe431, 0x35215c50)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Input stream</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Output stream</Name>
				</Output>
			</Outputs>
			<Attributes>
				<Attribute>
					<Identifier>(0x17ee7c08, 0x94c14893)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>144</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>1104</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x30a4e5c9, 0x83502953)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0xa8ffe2a3, 0x27038f03)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x527ad68d, 0x16d746a0)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xfba64161, 0x65304e21)</Identifier>
					<Value></Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x0000053d, 0x00004add)</Identifier>
			<Name>Identity</Name>
			<AlgorithmClassIdentifier>(0x5dffe431, 0x35215c50)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Input stream</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Output stream</Name>
				</Output>
			</Outputs>
			<Attributes>
				<Attribute>
					<Identifier>(0x17ee7c08, 0x94c14893)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>448</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>1104</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x30a4e5c9, 0x83502953)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0xa8ffe2a3, 0x27038f03)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x527ad68d, 0x16d746a0)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xfba64161, 0x65304e21)</Identifier>
					<Value></Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x0000053d, 0x00004ade)</Identifier>
			<Name>Identity</Name>
			<AlgorithmClassIdentifier>(0x5dffe431, 0x35215c50)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input stream 1</Name>
				</Input>
				<Input>
					<Identifier>(0x1bb68383, 0x4a50d9a5)</Identifier>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Input stream 2</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Output stream 1</Name>
				</Output>
				<Output>
					<Identifier>(0x77e03902, 0x5092f9b9)</Identifier>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Output stream 2</Name>
				</Output>
			</Outputs>
			<Attributes>
				<Attribute>
					<Identifier>(0x17ee7c08, 0x94c14893)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>192</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>864</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x30a4e5c9, 0x83502953)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0xa8ffe2a3, 0x27038f03)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x527ad68d, 0x16d746a0)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xfba64161, 0x65304e21)</Identifier>
					<Value></Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x00000af9, 0x00002889)</Identifier>
			<Name>Laplacian C3 &amp; C4</Name>
			<AlgorithmClassIdentifier>(0xdd332c6c, 0x195b4fd4)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input Signal</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Output Signal</Name>
				</Output>
			</Outputs>
			<Settings>
				<Setting>
					<TypeIdentifier>(0x79a9edeb, 0x245d83fc)</TypeIdentifier>
					<Name>Spatial Filter Coefficients</Name>
					<DefaultValue>1;0;0;0;0;1;0;0;0;0;1;0;0;0;0;1</DefaultValue>
					<Value>-1;-1;4;-1;-1;0;0;0;0;0;0;0;0;0;0;-1;-1;4;-1;-1</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x007deef9, 0x2f3e95c6)</TypeIdentifier>
					<Name>Number of Output Channels</Name>
					<DefaultValue>4</DefaultValue>
					<Value>2</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x007deef9, 0x2f3e95c6)</TypeIdentifier>
					<Name>Number of Input Channels</Name>
					<DefaultValue>4</DefaultValue>
					<Value>10</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x330306dd, 0x74a95f98)</TypeIdentifier>
					<Name>Filter matrix file</Name>
					<DefaultValue></DefaultValue>
					<Value></Value>
					<Modifiability>false</Modifiability>
				</Setting>
			</Settings>
			<Attributes>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>0</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>864</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x30a4e5c9, 0x83502953)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0x81db9bf9, 0xf1cf4ed7)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x527ad68d, 0x16d746a0)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc46b3d00, 0x3e0454e1)</Identifier>
					<Value>(0x00000000, 0x000c4e87)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc73e83ec, 0xf855c5bc)</Identifier>
					<Value>false</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xce18836a, 0x9c0eb403)</Identifier>
					<Value>4</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>1</Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x00000c65, 0x00000212)</Identifier>
			<Name>Temporal Filter</Name>
			<AlgorithmClassIdentifier>(0xb4f9d042, 0x9d79f2e5)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input signal</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Output signal</Name>
				</Output>
				<Output>
					<Identifier>(0xa24c629e, 0xd95f7ab0)</Identifier>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Output signal 2</Name>
				</Output>
				<Output>
					<Identifier>(0xc7417133, 0x68a532f9)</Identifier>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Output signal 3</Name>
				</Output>
				<Output>
					<Identifier>(0x125a1b80, 0x68590c60)</Identifier>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Output signal 4</Name>
				</Output>
				<Output>
					<Identifier>(0x99bb93d5, 0x9f35ebc0)</Identifier>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Output signal 5</Name>
				</Output>
			</Outputs>
			<Settings>
				<Setting>
					<TypeIdentifier>(0xfa20178e, 0x4cba62e9)</TypeIdentifier>
					<Name>Filter Type</Name>
					<DefaultValue>Band Pass</DefaultValue>
					<Value>Band Pass</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x007deef9, 0x2f3e95c6)</TypeIdentifier>
					<Name>Filter Order</Name>
					<DefaultValue>4</DefaultValue>
					<Value>4</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Low Cut-off Frequency (Hz)</Name>
					<DefaultValue>1</DefaultValue>
					<Value>8</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>High Cut-off Frequency (Hz)</Name>
					<DefaultValue>40</DefaultValue>
					<Value>10</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Low Cut-off Frequency 2 (Hz)</Name>
					<DefaultValue>1</DefaultValue>
					<Value>10</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>High Cut-off Frequency 2 (Hz)</Name>
					<DefaultValue>40</DefaultValue>
					<Value>12</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Low Cut-off Frequency 3 (Hz)</Name>
					<DefaultValue>1</DefaultValue>
					<Value>12</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>High Cut-off Frequency 3 (Hz)</Name>
					<DefaultValue>40</DefaultValue>
					<Value>16</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Low Cut-off Frequency 4 (Hz)</Name>
					<DefaultValue>1</DefaultValue>
					<Value>16</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>High Cut-off Frequency 4 (Hz)</Name>
					<DefaultValue>40</DefaultValue>
					<Value>20</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Low Cut-off Frequency 5 (Hz)</Name>
					<DefaultValue>1</DefaultValue>
					<Value>20</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>High Cut-off Frequency 5 (Hz)</Name>
					<DefaultValue>40</DefaultValue>
					<Value>24</Value>
					<Modifiability>false</Modifiability>
				</Setting>
			</Settings>
			<Attributes>
				<Attribute>
					<Identifier>(0x17ee7c08, 0x94c14893)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>64</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>864</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0x6a7c1e9b, 0x6b00b5c5)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x8d21ff41, 0xdf6afe7e)</Identifier>
					<Value>${Player_ScenarioDirectory}/$var{Scripts Path}/filters.xml</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xce18836a, 0x9c0eb403)</Identifier>
					<Value>4</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>1</Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x00000f89, 0x0000786d)</Identifier>
			<Name>Classifier trainer</Name>
			<AlgorithmClassIdentifier>(0xf3dae8a8, 0x3b444154)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Stimulations</Name>
				</Input>
				<Input>
					<TypeIdentifier>(0x17341935, 0x152ff448)</TypeIdentifier>
					<Name>Features for class 1</Name>
				</Input>
				<Input>
					<TypeIdentifier>(0x17341935, 0x152ff448)</TypeIdentifier>
					<Name>Features for class 2</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Train-completed Flag</Name>
				</Output>
			</Outputs>
			<Settings>
				<Setting>
					<TypeIdentifier>(0x2c132d6e, 0x44ab0d97)</TypeIdentifier>
					<Name>Train trigger</Name>
					<DefaultValue>OVTK_StimulationId_Train</DefaultValue>
					<Value>OVTK_StimulationId_ExperimentStop</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x330306dd, 0x74a95f98)</TypeIdentifier>
					<Name>Filename to save configuration to</Name>
					<DefaultValue>${Path_UserData}/my-classifier.xml</DefaultValue>
					<Value>${Player_ScenarioDirectory}/$var{Scripts Path}/mi-bci-classifier-left.xml</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0xbe9eba5c, 0xa8415d37)</TypeIdentifier>
					<Name>Multiclass strategy to apply</Name>
					<DefaultValue>Native</DefaultValue>
					<Value>Native</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x2c132d6e, 0x44ab0d97)</TypeIdentifier>
					<Name>Class 1 label</Name>
					<DefaultValue>OVTK_StimulationId_Label_01</DefaultValue>
					<Value>OVTK_StimulationId_RestStart</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x2c132d6e, 0x44ab0d97)</TypeIdentifier>
					<Name>Class 2 label</Name>
					<DefaultValue>OVTK_StimulationId_Label_02</DefaultValue>
					<Value>OVTK_GDF_Left</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0xd765a736, 0xed708c65)</TypeIdentifier>
					<Name>Algorithm to use</Name>
					<DefaultValue>Linear Discrimimant Analysis (LDA)</DefaultValue>
					<Value>Linear Discrimimant Analysis (LDA)</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x2cdb2f0b, 0x12f231ea)</TypeIdentifier>
					<Name>Use shrinkage</Name>
					<DefaultValue>false</DefaultValue>
					<Value>false</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Shrinkage coefficient (-1 == auto)</Name>
					<DefaultValue>-1.000000</DefaultValue>
					<Value>-1.000000</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x2cdb2f0b, 0x12f231ea)</TypeIdentifier>
					<Name>Shrinkage: Force diagonal cov (DDA)</Name>
					<DefaultValue>false</DefaultValue>
					<Value>false</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x007deef9, 0x2f3e95c6)</TypeIdentifier>
					<Name>Number of partitions for k-fold cross-validation test</Name>
					<DefaultValue>10</DefaultValue>
					<Value>5</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x2cdb2f0b, 0x12f231ea)</TypeIdentifier>
					<Name>Balance classes</Name>
					<DefaultValue>false</DefaultValue>
					<Value>false</Value>
					<Modifiability>false</Modifiability>
				</Setting>
			</Settings>
			<Attributes>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>544</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>800</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0x9de21779, 0x37776c89)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xce18836a, 0x9c0eb403)</Identifier>
					<Value>6</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>3</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xfba64161, 0x65304e21)</Identifier>
					<Value></Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x00000f89, 0x0000786e)</Identifier>
			<Name>Classifier trainer</Name>
			<AlgorithmClassIdentifier>(0xf3dae8a8, 0x3b444154)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Stimulations</Name>
				</Input>
				<Input>
					<TypeIdentifier>(0x17341935, 0x152ff448)</TypeIdentifier>
					<Name>Features for class 1</Name>
				</Input>
				<Input>
					<TypeIdentifier>(0x17341935, 0x152ff448)</TypeIdentifier>
					<Name>Features for class 2</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Train-completed Flag</Name>
				</Output>
			</Outputs>
			<Settings>
				<Setting>
					<TypeIdentifier>(0x2c132d6e, 0x44ab0d97)</TypeIdentifier>
					<Name>Train trigger</Name>
					<DefaultValue>OVTK_StimulationId_Train</DefaultValue>
					<Value>OVTK_StimulationId_ExperimentStop</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x330306dd, 0x74a95f98)</TypeIdentifier>
					<Name>Filename to save configuration to</Name>
					<DefaultValue>${Path_UserData}/my-classifier.xml</DefaultValue>
					<Value>${Player_ScenarioDirectory}/$var{Scripts Path}/mi-bci-classifier-right.xml</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0xbe9eba5c, 0xa8415d37)</TypeIdentifier>
					<Name>Multiclass strategy to apply</Name>
					<DefaultValue>Native</DefaultValue>
					<Value>Native</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x2c132d6e, 0x44ab0d97)</TypeIdentifier>
					<Name>Class 1 label</Name>
					<DefaultValue>OVTK_StimulationId_Label_01</DefaultValue>
					<Value>OVTK_StimulationId_RestStart</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x2c132d6e, 0x44ab0d97)</TypeIdentifier>
					<Name>Class 2 label</Name>
					<DefaultValue>OVTK_StimulationId_Label_02</DefaultValue>
					<Value>OVTK_GDF_Right</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0xd765a736, 0xed708c65)</TypeIdentifier>
					<Name>Algorithm to use</Name>
					<DefaultValue>Linear Discrimimant Analysis (LDA)</DefaultValue>
					<Value>Linear Discrimimant Analysis (LDA)</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x2cdb2f0b, 0x12f231ea)</TypeIdentifier>
					<Name>Use shrinkage</Name>
					<DefaultValue>false</DefaultValue>
					<Value>false</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Shrinkage coefficient (-1 == auto)</Name>
					<DefaultValue>-1.000000</DefaultValue>
					<Value>-1.000000</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x2cdb2f0b, 0x12f231ea)</TypeIdentifier>
					<Name>Shrinkage: Force diagonal cov (DDA)</Name>
					<DefaultValue>false</DefaultValue>
					<Value>false</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x007deef9, 0x2f3e95c6)</TypeIdentifier>
					<Name>Number of partitions for k-fold cross-validation test</Name>
					<DefaultValue>10</DefaultValue>
					<Value>5</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x2cdb2f0b, 0x12f231ea)</TypeIdentifier>
					<Name>Balance classes</Name>
					<DefaultValue>false</DefaultValue>
					<Value>false</Value>
					<Modifiability>false</Modifiability>
				</Setting>
			</Settings>
			<Attributes>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>544</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>928</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0x9de21779, 0x37776c89)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xce18836a, 0x9c0eb403)</Identifier>
					<Value>6</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>3</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xfba64161, 0x65304e21)</Identifier>
					<Value></Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x00002d81, 0x00003dd9)</Identifier>
			<Name>Signal Merger</Name>
			<AlgorithmClassIdentifier>(0x4bf9326f, 0x75603102)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input 1</Name>
				</Input>
				<Input>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input 2</Name>
				</Input>
				<Input>
					<Identifier>(0x005beefd, 0x0fed5ce7)</Identifier>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input 3</Name>
				</Input>
				<Input>
					<Identifier>(0x00748959, 0x360321df)</Identifier>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input 4</Name>
				</Input>
				<Input>
					<Identifier>(0x0031bc32, 0x393a3dd7)</Identifier>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input 5</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Merged</Name>
				</Output>
			</Outputs>
			<Attributes>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>128</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>864</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0x990c5a68, 0x0d4024a3)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>2</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xfba64161, 0x65304e21)</Identifier>
					<Value></Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x00004aaa, 0x00003265)</Identifier>
			<Name>Left trials</Name>
			<AlgorithmClassIdentifier>(0x426163d1, 0x324237b0)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input signal</Name>
				</Input>
				<Input>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Input stimulations</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Epoched signal</Name>
				</Output>
			</Outputs>
			<Settings>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Epoch duration (in sec)</Name>
					<DefaultValue>1</DefaultValue>
					<Value>6</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Epoch offset (in sec)</Name>
					<DefaultValue>0.5</DefaultValue>
					<Value>0.75</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x2c132d6e, 0x44ab0d97)</TypeIdentifier>
					<Name>Stimulation 1</Name>
					<DefaultValue>OVTK_StimulationId_Label_00</DefaultValue>
					<Value>OVTK_GDF_Left</Value>
					<Modifiability>false</Modifiability>
				</Setting>
			</Settings>
			<Attributes>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>272</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>720</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0x5de31172, 0xa1304456)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x61d11811, 0x71e65362)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xce18836a, 0x9c0eb403)</Identifier>
					<Value>3</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>2</Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x00004aaa, 0x00003266)</Identifier>
			<Name>Right trials</Name>
			<AlgorithmClassIdentifier>(0x426163d1, 0x324237b0)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input signal</Name>
				</Input>
				<Input>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Input stimulations</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Epoched signal</Name>
				</Output>
			</Outputs>
			<Settings>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Epoch duration (in sec)</Name>
					<DefaultValue>1</DefaultValue>
					<Value>6</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Epoch offset (in sec)</Name>
					<DefaultValue>0.5</DefaultValue>
					<Value>0.75</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x2c132d6e, 0x44ab0d97)</TypeIdentifier>
					<Name>Stimulation 1</Name>
					<DefaultValue>OVTK_StimulationId_Label_00</DefaultValue>
					<Value>OVTK_GDF_Right</Value>
					<Modifiability>false</Modifiability>
				</Setting>
			</Settings>
			<Attributes>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>272</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>1008</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0x5de31172, 0xa1304456)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x61d11811, 0x71e65362)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xce18836a, 0x9c0eb403)</Identifier>
					<Value>3</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>2</Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x00004aaa, 0x00003267)</Identifier>
			<Name>Rest trials</Name>
			<AlgorithmClassIdentifier>(0x426163d1, 0x324237b0)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input signal</Name>
				</Input>
				<Input>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Input stimulations</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Epoched signal</Name>
				</Output>
			</Outputs>
			<Settings>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Epoch duration (in sec)</Name>
					<DefaultValue>1</DefaultValue>
					<Value>3.5</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Epoch offset (in sec)</Name>
					<DefaultValue>0.5</DefaultValue>
					<Value>-0.5</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x2c132d6e, 0x44ab0d97)</TypeIdentifier>
					<Name>Stimulation 1</Name>
					<DefaultValue>OVTK_StimulationId_Label_00</DefaultValue>
					<Value>OVTK_StimulationId_RestStart</Value>
					<Modifiability>false</Modifiability>
				</Setting>
			</Settings>
			<Attributes>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>272</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>864</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0x5de31172, 0xa1304456)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x61d11811, 0x71e65362)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xce18836a, 0x9c0eb403)</Identifier>
					<Value>3</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>2</Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x00004e3d, 0x00005653)</Identifier>
			<Name>FC3; C5; C3; C1; CP3; FC4; C6; C4; C2; CP4</Name>
			<AlgorithmClassIdentifier>(0x361722e8, 0x311574e8)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input signal</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Output signal</Name>
				</Output>
			</Outputs>
			<Settings>
				<Setting>
					<TypeIdentifier>(0x79a9edeb, 0x245d83fc)</TypeIdentifier>
					<Name>Channel List</Name>
					<DefaultValue>:</DefaultValue>
					<Value>FC3; C5; C3; C1; CP3; FC4; C6; C4; C2; CP4</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x3bcf9e67, 0x0c23994d)</TypeIdentifier>
					<Name>Action</Name>
					<DefaultValue>Select</DefaultValue>
					<Value>Select</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x666f25e9, 0x3e5738d6)</TypeIdentifier>
					<Name>Channel Matching Method</Name>
					<DefaultValue>Smart</DefaultValue>
					<Value>Smart</Value>
					<Modifiability>false</Modifiability>
				</Setting>
			</Settings>
			<Attributes>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>-64</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>864</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x30a4e5c9, 0x83502953)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0x277826e1, 0xa30a3bd0)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x527ad68d, 0x16d746a0)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc46b3d00, 0x3e0454e1)</Identifier>
					<Value>(0x00000000, 0x0007199a)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc73e83ec, 0xf855c5bc)</Identifier>
					<Value>false</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xce18836a, 0x9c0eb403)</Identifier>
					<Value>3</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>1</Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x0000565b, 0x00006695)</Identifier>
			<Name>Time based epoching</Name>
			<AlgorithmClassIdentifier>(0x00777fa0, 0x5dc3f560)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input signal</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Epoched signal</Name>
				</Output>
			</Outputs>
			<Settings>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Epoch duration (in sec)</Name>
					<DefaultValue>1</DefaultValue>
					<Value>1</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Epoch intervals (in sec)</Name>
					<DefaultValue>0.5</DefaultValue>
					<Value>0.062500</Value>
					<Modifiability>false</Modifiability>
				</Setting>
			</Settings>
			<Attributes>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>336</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>720</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0xc5ff41e9, 0xccc59a01)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xce18836a, 0x9c0eb403)</Identifier>
					<Value>2</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>1</Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x0000565b, 0x00006696)</Identifier>
			<Name>Time based epoching</Name>
			<AlgorithmClassIdentifier>(0x00777fa0, 0x5dc3f560)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input signal</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Epoched signal</Name>
				</Output>
			</Outputs>
			<Settings>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Epoch duration (in sec)</Name>
					<DefaultValue>1</DefaultValue>
					<Value>1</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Epoch intervals (in sec)</Name>
					<DefaultValue>0.5</DefaultValue>
					<Value>0.062500</Value>
					<Modifiability>false</Modifiability>
				</Setting>
			</Settings>
			<Attributes>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>336</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>1008</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0xc5ff41e9, 0xccc59a01)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xce18836a, 0x9c0eb403)</Identifier>
					<Value>2</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>1</Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x0000565b, 0x00006697)</Identifier>
			<Name>Time based epoching</Name>
			<AlgorithmClassIdentifier>(0x00777fa0, 0x5dc3f560)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input signal</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Epoched signal</Name>
				</Output>
			</Outputs>
			<Settings>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Epoch duration (in sec)</Name>
					<DefaultValue>1</DefaultValue>
					<Value>1</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0x512a166f, 0x5c3ef83f)</TypeIdentifier>
					<Name>Epoch intervals (in sec)</Name>
					<DefaultValue>0.5</DefaultValue>
					<Value>0.062500</Value>
					<Modifiability>false</Modifiability>
				</Setting>
			</Settings>
			<Attributes>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>336</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>864</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0xc5ff41e9, 0xccc59a01)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xce18836a, 0x9c0eb403)</Identifier>
					<Value>2</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>1</Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x00006ea5, 0x000025bd)</Identifier>
			<Name>Signal Power Log</Name>
			<AlgorithmClassIdentifier>(0xfe420cb6, 0x5f2ba4c3)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<Identifier>(0x4a942408, 0x0f60530d)</Identifier>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input Signal</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<Identifier>(0xfde6fdc7, 0x231f1d75)</Identifier>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Filtered Signal</Name>
				</Output>
			</Outputs>
			<Attributes>
				<Attribute>
					<Identifier>(0x198dd621, 0xab7f153f)</Identifier>
					<Value>(0x5cc5d488, 0xce5b5128)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>384</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>720</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0x901eef72, 0xd343e4d1)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>1</Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x00006ea5, 0x000025be)</Identifier>
			<Name>Signal Power Log</Name>
			<AlgorithmClassIdentifier>(0xfe420cb6, 0x5f2ba4c3)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<Identifier>(0x4a942408, 0x0f60530d)</Identifier>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input Signal</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<Identifier>(0xfde6fdc7, 0x231f1d75)</Identifier>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Filtered Signal</Name>
				</Output>
			</Outputs>
			<Attributes>
				<Attribute>
					<Identifier>(0x198dd621, 0xab7f153f)</Identifier>
					<Value>(0x5cc5d488, 0xce5b5128)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>384</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>1008</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0x901eef72, 0xd343e4d1)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>1</Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x00006ea5, 0x000025bf)</Identifier>
			<Name>Signal Power Log</Name>
			<AlgorithmClassIdentifier>(0xfe420cb6, 0x5f2ba4c3)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<Identifier>(0x4a942408, 0x0f60530d)</Identifier>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Input Signal</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<Identifier>(0xfde6fdc7, 0x231f1d75)</Identifier>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Filtered Signal</Name>
				</Output>
			</Outputs>
			<Attributes>
				<Attribute>
					<Identifier>(0x198dd621, 0xab7f153f)</Identifier>
					<Value>(0x5cc5d488, 0xce5b5128)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>384</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>864</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0x901eef72, 0xd343e4d1)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>1</Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x00007588, 0x000052b3)</Identifier>
			<Name>Stimulation multiplexer</Name>
			<AlgorithmClassIdentifier>(0x07db4efa, 0x472b0938)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Input stimulations 1</Name>
				</Input>
				<Input>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Input stimulations 2</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Multiplexed stimulations</Name>
				</Output>
			</Outputs>
			<Attributes>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>608</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>864</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0xe7af82cd, 0x14edb4d4)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>2</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xfba64161, 0x65304e21)</Identifier>
					<Value></Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x24757b65, 0x29027b70)</Identifier>
			<Name>Player Controller</Name>
			<AlgorithmClassIdentifier>(0x5f426dce, 0x08456e13)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Stimulations</Name>
				</Input>
			</Inputs>
			<Settings>
				<Setting>
					<TypeIdentifier>(0x2c132d6e, 0x44ab0d97)</TypeIdentifier>
					<Name>Stimulation name</Name>
					<DefaultValue>OVTK_StimulationId_Label_00</DefaultValue>
					<Value>OVTK_StimulationId_TrainCompleted</Value>
					<Modifiability>false</Modifiability>
				</Setting>
				<Setting>
					<TypeIdentifier>(0xcc14d8d6, 0xf27ecb73)</TypeIdentifier>
					<Name>Action to perform</Name>
					<DefaultValue>Pause</DefaultValue>
					<Value>Stop</Value>
					<Modifiability>false</Modifiability>
				</Setting>
			</Settings>
			<Attributes>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>672</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>864</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0x568d148e, 0x650792b3)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc46b3d00, 0x3e0454e1)</Identifier>
					<Value>(0x00000000, 0x002de35c)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xce18836a, 0x9c0eb403)</Identifier>
					<Value>2</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>1</Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x312e1662, 0x0673d431)</Identifier>
			<Name>Generic stream reader</Name>
			<AlgorithmClassIdentifier>(0x6468099f, 0x0370095a)</AlgorithmClassIdentifier>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x403488e7, 0x565d70b6)</TypeIdentifier>
					<Name>Output stream 1</Name>
				</Output>
				<Output>
					<TypeIdentifier>(0x5ba36127, 0x195feae1)</TypeIdentifier>
					<Name>Output stream 2</Name>
				</Output>
				<Output>
					<TypeIdentifier>(0x6f752dd0, 0x082a321e)</TypeIdentifier>
					<Name>Output stream 3</Name>
				</Output>
			</Outputs>
			<Settings>
				<Setting>
					<TypeIdentifier>(0x330306dd, 0x74a95f98)</TypeIdentifier>
					<Name>Filename</Name>
					<DefaultValue></DefaultValue>
					<Value>$var{Training EEG File}</Value>
					<Modifiability>false</Modifiability>
				</Setting>
			</Settings>
			<Attributes>
				<Attribute>
					<Identifier>(0x17ee7c08, 0x94c14893)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>-128</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>864</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x30a4e5c9, 0x83502953)</Identifier>
					<Value></Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0xf37b8e7a, 0x1bc33e4e)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc46b3d00, 0x3e0454e1)</Identifier>
					<Value>(0x00000000, 0x00660a31)</Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x588d7801, 0x046ccfd0)</Identifier>
			<Name>Feature aggregator</Name>
			<AlgorithmClassIdentifier>(0x00682417, 0x453635f9)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x544a003e, 0x6dcba5f6)</TypeIdentifier>
					<Name>Input stream 1</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x17341935, 0x152ff448)</TypeIdentifier>
					<Name>Feature vector stream</Name>
				</Output>
			</Outputs>
			<Attributes>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>448</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>1008</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0xb5d15cc9, 0x6c8c28fb)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc46b3d00, 0x3e0454e1)</Identifier>
					<Value>(0x00000000, 0x0007397d)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xfba64161, 0x65304e21)</Identifier>
					<Value></Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x588d7801, 0x046ccfd1)</Identifier>
			<Name>Feature aggregator</Name>
			<AlgorithmClassIdentifier>(0x00682417, 0x453635f9)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x544a003e, 0x6dcba5f6)</TypeIdentifier>
					<Name>Input stream 1</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x17341935, 0x152ff448)</TypeIdentifier>
					<Name>Feature vector stream</Name>
				</Output>
			</Outputs>
			<Attributes>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>448</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>864</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0xb5d15cc9, 0x6c8c28fb)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc46b3d00, 0x3e0454e1)</Identifier>
					<Value>(0x00000000, 0x0007397d)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xfba64161, 0x65304e21)</Identifier>
					<Value></Value>
				</Attribute>
			</Attributes>
		</Box>
		<Box>
			<Identifier>(0x5bdc6ef9, 0x5aa3869a)</Identifier>
			<Name>Feature aggregator</Name>
			<AlgorithmClassIdentifier>(0x00682417, 0x453635f9)</AlgorithmClassIdentifier>
			<Inputs>
				<Input>
					<TypeIdentifier>(0x544a003e, 0x6dcba5f6)</TypeIdentifier>
					<Name>Input stream 1</Name>
				</Input>
			</Inputs>
			<Outputs>
				<Output>
					<TypeIdentifier>(0x17341935, 0x152ff448)</TypeIdentifier>
					<Name>Feature vector stream</Name>
				</Output>
			</Outputs>
			<Attributes>
				<Attribute>
					<Identifier>(0x1fa7a38f, 0x54edbe0b)</Identifier>
					<Value>448</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x207c9054, 0x3c841b63)</Identifier>
					<Value>720</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x4e7b798a, 0x183beafb)</Identifier>
					<Value>(0xb5d15cc9, 0x6c8c28fb)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc46b3d00, 0x3e0454e1)</Identifier>
					<Value>(0x00000000, 0x00076c87)</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xc80ce8af, 0xf699f813)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xcfad85b0, 0x7c6d841c)</Identifier>
					<Value>1</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0xfba64161, 0x65304e21)</Identifier>
					<Value></Value>
				</Attribute>
			</Attributes>
		</Box>
	</Boxes>
	<Links>
		<Link>
			<Identifier>(0x000000d2, 0x00002130)</Identifier>
			<Source>
				<BoxIdentifier>(0x00004aaa, 0x00003265)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x0000565b, 0x00006695)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x0000078a, 0x000066a5)</Identifier>
			<Source>
				<BoxIdentifier>(0x0000565b, 0x00006695)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00006ea5, 0x000025bd)</BoxIdentifier>
				<BoxInputIdentifier>(0x4a942408, 0x0f60530d)</BoxInputIdentifier>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00000817, 0x0000002b)</Identifier>
			<Source>
				<BoxIdentifier>(0x312e1662, 0x0673d431)</BoxIdentifier>
				<BoxOutputIndex>2</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x0000053d, 0x00004adb)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00000927, 0x00004f75)</Identifier>
			<Source>
				<BoxIdentifier>(0x0000053d, 0x00004ade)</BoxIdentifier>
				<BoxOutputIdentifier>(0x77e03902, 0x5092f9b9)</BoxOutputIdentifier>
			</Source>
			<Target>
				<BoxIdentifier>(0x00004aaa, 0x00003265)</BoxIdentifier>
				<BoxInputIndex>1</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00000ccf, 0x000046b3)</Identifier>
			<Source>
				<BoxIdentifier>(0x0000053d, 0x00004adb)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x0000053d, 0x00004adc)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00001123, 0x000048f5)</Identifier>
			<Source>
				<BoxIdentifier>(0x00004aaa, 0x00003266)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x0000565b, 0x00006696)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00001123, 0x000048f6)</Identifier>
			<Source>
				<BoxIdentifier>(0x00004aaa, 0x00003267)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x0000565b, 0x00006697)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x000013cc, 0x00001caf)</Identifier>
			<Source>
				<BoxIdentifier>(0x0000053d, 0x00004adc)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x0000053d, 0x00004add)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00001508, 0x00005b9d)</Identifier>
			<Source>
				<BoxIdentifier>(0x0000053d, 0x00004ade)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00004aaa, 0x00003266)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00001a0f, 0x00005a40)</Identifier>
			<Source>
				<BoxIdentifier>(0x00006ea5, 0x000025be)</BoxIdentifier>
				<BoxOutputIdentifier>(0xfde6fdc7, 0x231f1d75)</BoxOutputIdentifier>
			</Source>
			<Target>
				<BoxIdentifier>(0x588d7801, 0x046ccfd0)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00001a0f, 0x00005a41)</Identifier>
			<Source>
				<BoxIdentifier>(0x00006ea5, 0x000025bf)</BoxIdentifier>
				<BoxOutputIdentifier>(0xfde6fdc7, 0x231f1d75)</BoxOutputIdentifier>
			</Source>
			<Target>
				<BoxIdentifier>(0x588d7801, 0x046ccfd1)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00002ba7, 0x00005301)</Identifier>
			<Source>
				<BoxIdentifier>(0x00000c65, 0x00000212)</BoxIdentifier>
				<BoxOutputIdentifier>(0xa24c629e, 0xd95f7ab0)</BoxOutputIdentifier>
			</Source>
			<Target>
				<BoxIdentifier>(0x00002d81, 0x00003dd9)</BoxIdentifier>
				<BoxInputIndex>1</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00002c1b, 0x000065b0)</Identifier>
			<Source>
				<BoxIdentifier>(0x00000c65, 0x00000212)</BoxIdentifier>
				<BoxOutputIdentifier>(0x125a1b80, 0x68590c60)</BoxOutputIdentifier>
			</Source>
			<Target>
				<BoxIdentifier>(0x00002d81, 0x00003dd9)</BoxIdentifier>
				<BoxInputIdentifier>(0x00748959, 0x360321df)</BoxInputIdentifier>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00002e74, 0x00001ef4)</Identifier>
			<Source>
				<BoxIdentifier>(0x5bdc6ef9, 0x5aa3869a)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00000f89, 0x0000786d)</BoxIdentifier>
				<BoxInputIndex>2</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00003802, 0x00005360)</Identifier>
			<Source>
				<BoxIdentifier>(0x0000053d, 0x00004ade)</BoxIdentifier>
				<BoxOutputIdentifier>(0x77e03902, 0x5092f9b9)</BoxOutputIdentifier>
			</Source>
			<Target>
				<BoxIdentifier>(0x00004aaa, 0x00003266)</BoxIdentifier>
				<BoxInputIndex>1</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x0000384d, 0x00003347)</Identifier>
			<Source>
				<BoxIdentifier>(0x00000af9, 0x00002889)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00000c65, 0x00000212)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00003a4e, 0x00007204)</Identifier>
			<Source>
				<BoxIdentifier>(0x0000053d, 0x00004add)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00000f89, 0x0000786d)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00003c98, 0x00006198)</Identifier>
			<Source>
				<BoxIdentifier>(0x0000053d, 0x00004ade)</BoxIdentifier>
				<BoxOutputIdentifier>(0x77e03902, 0x5092f9b9)</BoxOutputIdentifier>
			</Source>
			<Target>
				<BoxIdentifier>(0x00004aaa, 0x00003267)</BoxIdentifier>
				<BoxInputIndex>1</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00003dee, 0x000003e9)</Identifier>
			<Source>
				<BoxIdentifier>(0x00000f89, 0x0000786d)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00007588, 0x000052b3)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00003e0d, 0x00001a7f)</Identifier>
			<Source>
				<BoxIdentifier>(0x588d7801, 0x046ccfd1)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00000f89, 0x0000786d)</BoxIdentifier>
				<BoxInputIndex>1</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00005859, 0x00005b07)</Identifier>
			<Source>
				<BoxIdentifier>(0x00002d81, 0x00003dd9)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x0000053d, 0x00004ade)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x000058c7, 0x00007140)</Identifier>
			<Source>
				<BoxIdentifier>(0x588d7801, 0x046ccfd0)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00000f89, 0x0000786e)</BoxIdentifier>
				<BoxInputIndex>2</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00005994, 0x000055eb)</Identifier>
			<Source>
				<BoxIdentifier>(0x00004e3d, 0x00005653)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00000af9, 0x00002889)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00005ae3, 0x00000c3c)</Identifier>
			<Source>
				<BoxIdentifier>(0x588d7801, 0x046ccfd1)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00000f89, 0x0000786e)</BoxIdentifier>
				<BoxInputIndex>1</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00005b62, 0x00004881)</Identifier>
			<Source>
				<BoxIdentifier>(0x00007588, 0x000052b3)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x24757b65, 0x29027b70)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00005bf2, 0x00001098)</Identifier>
			<Source>
				<BoxIdentifier>(0x00000c65, 0x00000212)</BoxIdentifier>
				<BoxOutputIdentifier>(0x99bb93d5, 0x9f35ebc0)</BoxOutputIdentifier>
			</Source>
			<Target>
				<BoxIdentifier>(0x00002d81, 0x00003dd9)</BoxIdentifier>
				<BoxInputIdentifier>(0x0031bc32, 0x393a3dd7)</BoxInputIdentifier>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00005bf5, 0x00004197)</Identifier>
			<Source>
				<BoxIdentifier>(0x00000f89, 0x0000786e)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00007588, 0x000052b3)</BoxIdentifier>
				<BoxInputIndex>1</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00005c84, 0x00003454)</Identifier>
			<Source>
				<BoxIdentifier>(0x0000053d, 0x00004ade)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00004aaa, 0x00003265)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00006140, 0x00003b69)</Identifier>
			<Source>
				<BoxIdentifier>(0x00000c65, 0x00000212)</BoxIdentifier>
				<BoxOutputIdentifier>(0xc7417133, 0x68a532f9)</BoxOutputIdentifier>
			</Source>
			<Target>
				<BoxIdentifier>(0x00002d81, 0x00003dd9)</BoxIdentifier>
				<BoxInputIdentifier>(0x005beefd, 0x0fed5ce7)</BoxInputIdentifier>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00006585, 0x000011bf)</Identifier>
			<Source>
				<BoxIdentifier>(0x00000c65, 0x00000212)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00002d81, 0x00003dd9)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00006845, 0x00002bb1)</Identifier>
			<Source>
				<BoxIdentifier>(0x312e1662, 0x0673d431)</BoxIdentifier>
				<BoxOutputIndex>1</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00004e3d, 0x00005653)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x0000719b, 0x00001dc6)</Identifier>
			<Source>
				<BoxIdentifier>(0x0000565b, 0x00006696)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00006ea5, 0x000025be)</BoxIdentifier>
				<BoxInputIdentifier>(0x4a942408, 0x0f60530d)</BoxInputIdentifier>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x0000719b, 0x00001dc7)</Identifier>
			<Source>
				<BoxIdentifier>(0x0000565b, 0x00006697)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00006ea5, 0x000025bf)</BoxIdentifier>
				<BoxInputIdentifier>(0x4a942408, 0x0f60530d)</BoxInputIdentifier>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00007342, 0x00000f09)</Identifier>
			<Source>
				<BoxIdentifier>(0x0000053d, 0x00004ade)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00004aaa, 0x00003267)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00007973, 0x00003fbf)</Identifier>
			<Source>
				<BoxIdentifier>(0x0000053d, 0x00004add)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x00000f89, 0x0000786e)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00007b59, 0x000020d1)</Identifier>
			<Source>
				<BoxIdentifier>(0x0000053d, 0x00004adc)</BoxIdentifier>
				<BoxOutputIndex>0</BoxOutputIndex>
			</Source>
			<Target>
				<BoxIdentifier>(0x0000053d, 0x00004ade)</BoxIdentifier>
				<BoxInputIdentifier>(0x1bb68383, 0x4a50d9a5)</BoxInputIdentifier>
			</Target>
		</Link>
		<Link>
			<Identifier>(0x00007b99, 0x00003364)</Identifier>
			<Source>
				<BoxIdentifier>(0x00006ea5, 0x000025bd)</BoxIdentifier>
				<BoxOutputIdentifier>(0xfde6fdc7, 0x231f1d75)</BoxOutputIdentifier>
			</Source>
			<Target>
				<BoxIdentifier>(0x5bdc6ef9, 0x5aa3869a)</BoxIdentifier>
				<BoxInputIndex>0</BoxInputIndex>
			</Target>
		</Link>
	</Links>
	<Comments>
		<Comment>
			<Identifier>(0x00006a47, 0x0000309a)</Identifier>
			<Text>&lt;b&gt;OVERVIEW&lt;/b&gt;
Change Settings on Scenario Configuration tab : 
Scripts path = folder to the scripts and config files (normally don't need to change that that if you keep the hierarchy)
Training EEG File = link to the file for training (previous concatenate file)</Text>
			<Attributes>
				<Attribute>
					<Identifier>(0x473d9a43, 0x97fc0a97)</Identifier>
					<Value>1552</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x7234b86b, 0x2b8651a5)</Identifier>
					<Value>96</Value>
				</Attribute>
			</Attributes>
		</Comment>
		<Comment>
			<Identifier>(0x00006a47, 0x0000309b)</Identifier>
			<Text>&lt;b&gt;PRESENTATION&lt;/b&gt;
Les options sont modifiables dnas l'onglet Scenario Configuration : 
Scripts path = dossier des scripts et des fichiers de configuration (normalement, il n'est pas nécessaire de changer cela si vous conservez la hiérarchie)
Training EEG File = lien vers le fichier d'entrainement (le fichier concaténé précédemment)</Text>
			<Attributes>
				<Attribute>
					<Identifier>(0x473d9a43, 0x97fc0a97)</Identifier>
					<Value>1568</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x7234b86b, 0x2b8651a5)</Identifier>
					<Value>240</Value>
				</Attribute>
			</Attributes>
		</Comment>
		<Comment>
			<Identifier>(0x41cd6b6e, 0x28466307)</Identifier>
			<Text>Then comes the &lt;u&gt;feature extraction part&lt;/u&gt;.

The signal is filtered in a large alpha/beta [8 30] Hz range.

Then the &lt;i&gt;&lt;b&gt;Stimulation Based Epoching&lt;/b&gt;&lt;/i&gt; box
is used to select four seconds of signal half a second
after the instruction was shown to the user
(&lt;i&gt;OVTK_GDF_Left&lt;/i&gt; and &lt;i&gt;OVTK_GDF_Right&lt;/i&gt;).
 
The signal is then splitted in blocks of 1 second
every 16th second and the logarithmic band power is
computed thanks to the two &lt;i&gt;Simple DSP&lt;/i&gt; and
the &lt;i&gt;Signal Average&lt;/i&gt; boxes.

The matrices can then be converted in feature vectors.

&lt;small&gt;&lt;i&gt;&lt;b&gt;note:&lt;/b&gt; depending on what frequency range
reacts best for the subject, you may have to tune
this part of the scenario&lt;/i&gt;&lt;/small&gt;

&lt;small&gt;&lt;i&gt;&lt;b&gt;note:&lt;/b&gt; whatever change you do on this
scenario, don't forget to do the same on the
classifier trainer scenario&lt;/i&gt;&lt;/small&gt;</Text>
			<Attributes>
				<Attribute>
					<Identifier>(0x473d9a43, 0x97fc0a97)</Identifier>
					<Value>384</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x7234b86b, 0x2b8651a5)</Identifier>
					<Value>176</Value>
				</Attribute>
			</Attributes>
		</Comment>
		<Comment>
			<Identifier>(0x55744f04, 0x18caf000)</Identifier>
			<Text>The &lt;i&gt;&lt;b&gt;Classifier Trainer&lt;/b&gt;&lt;/i&gt; box produces a
configuration file at the end of the experiment
which will be used during online sessions.

When the training is completed the box
outputs a stimulation &lt;b&gt;OVTK_StimulationId_TrainCompleted&lt;/b&gt;
to stop the scenario through a &lt;b&gt;&lt;i&gt;Player Controller&lt;/i&gt;&lt;/b&gt;</Text>
			<Attributes>
				<Attribute>
					<Identifier>(0x473d9a43, 0x97fc0a97)</Identifier>
					<Value>384</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x7234b86b, 0x2b8651a5)</Identifier>
					<Value>432</Value>
				</Attribute>
			</Attributes>
		</Comment>
		<Comment>
			<Identifier>(0x5a795b87, 0x3aac19c1)</Identifier>
			<Text>The &lt;b&gt;CSP spatial filter&lt;/b&gt; produced in the previous
scenario is used prior to the feature extraction.</Text>
			<Attributes>
				<Attribute>
					<Identifier>(0x473d9a43, 0x97fc0a97)</Identifier>
					<Value>384</Value>
				</Attribute>
				<Attribute>
					<Identifier>(0x7234b86b, 0x2b8651a5)</Identifier>
					<Value>-48</Value>
				</Attribute>
			</Attributes>
		</Comment>
	</Comments>
	<Metadata>
		<Entry>
			<Identifier>(0x0000290d, 0x00007b70)</Identifier>
			<Type>(0x3bcce5d2, 0x43f2d968)</Type>
			<Data>[]</Data>
		</Entry>
	</Metadata>
	<Attributes>
		<Attribute>
			<Identifier>(0x079d1f09, 0x667c7871)</Identifier>
			<Value></Value>
		</Attribute>
		<Attribute>
			<Identifier>(0x4c90d4ad, 0x7a2554ec)</Identifier>
			<Value>1</Value>
		</Attribute>
		<Attribute>
			<Identifier>(0x60bc58ab, 0x7a1b4d83)</Identifier>
			<Value></Value>
		</Attribute>
		<Attribute>
			<Identifier>(0x790d75b8, 0x3bb90c33)</Identifier>
			<Value>Yann Renard / Fabien Lotte</Value>
		</Attribute>
		<Attribute>
			<Identifier>(0x7a3a1558, 0xf12c63c2)</Identifier>
			<Value></Value>
		</Attribute>
		<Attribute>
			<Identifier>(0x7b814cca, 0x271df6dd)</Identifier>
			<Value>1</Value>
		</Attribute>
		<Attribute>
			<Identifier>(0x84009d7c, 0x3c4e763b)</Identifier>
			<Value></Value>
		</Attribute>
		<Attribute>
			<Identifier>(0x8c1fc55b, 0x7b433dc2)</Identifier>
			<Value></Value>
		</Attribute>
		<Attribute>
			<Identifier>(0x9f5c4075, 0x4a0d3666)</Identifier>
			<Value>Classifier Training</Value>
		</Attribute>
		<Attribute>
			<Identifier>(0xf36a1567, 0xd13c53da)</Identifier>
			<Value></Value>
		</Attribute>
		<Attribute>
			<Identifier>(0xf6b2e3fa, 0x7bd43926)</Identifier>
			<Value>Motor Imagery</Value>
		</Attribute>
		<Attribute>
			<Identifier>(0xf8034a49, 0x8b3f37cc)</Identifier>
			<Value>INRIA</Value>
		</Attribute>
	</Attributes>
</OpenViBE-Scenario>